### Method

# FwupdPlugin Context get_firmware_gtypes

since: 1.9.1

#### Declaration [src]

    GArray*
    fu_context_get_firmware_gtypes (
      FuContext* self
    )

#### Description [src]

Returns all the firmware `GType`‘s.

Available since: 1.9.1

#### Return value

Type: An array of `GType`

Firmware types.

The caller of the method takes ownership of the returned data container, but not the data inside it.